spring.main.allow-bean-definition-overriding=false
server.port = 8080

# First DataSource Configuration
spring.datasource.url = jdbc:sqlserver://localhost:1433;database=master
spring.datasource.username = sa
spring.datasource.password = Password1234
spring.datasource.driver-class-name = com.microsoft.sqlserver.jdbc.SQLServerDriver

# Second DataSource Configuration
spring.second-datasource.url=jdbc:sqlserver://localhost:1434;database=master
spring.second-datasource.username=sa
spring.second-datasource.password=Password1234
spring.second-datasource.driver-class-name=com.microsoft.sqlserver.jdbc.SQLServerDriver

# Second DataSource Configuration
spring.third-datasource.url=jdbc:sqlserver://localhost:1435;database=master
spring.third-datasource.username=sa
spring.third-datasource.password=Password1234
spring.third-datasource.driver-class-name=com.microsoft.sqlserver.jdbc.SQLServerDriver

spring.datasource.hikari.connectionTimeout=50000
spring.datasource.hikari.idleTimeout=300000
spring.datasource.hikari.maxLifetime=900000
spring.datasource.hikari.maximumPoolSize=15
spring.datasource.hikari.minimumIdle=15
spring.datasource.hikari.poolName=MyPool

## Hibernate ddl auto (create, create-drop, validate, update, none)
spring.jpa.hibernate.dialect = org.hibernate.dialect.SQLServerDialect
spring.jpa.hibernate.ddl-auto = none
spring.jpa.show-sql = true
spring.jpa.properties.hibernate.format_sql = true
spring.jmx.enabled=false

schedular.globalapi.log.cleanup.day = 90

image.storage.url =
image.upload.url = 

authorization.nologin.auth.key=flex3.0
authorization.secureKey=0c77c8317edf7a4ffcdf09425aabd736
authorization.secureIV=1234567891123456

jwt.header=Authorization
#uHp1C5JxyeErGzqnT1NO7QNnJGOI6bLgRvXkSrE3y3mNGbHyd7EvrgJQ8e8OHIPiHksP0fT5JxRJnhUx2qpK5ApX in plain string
jwt.base64-secret=dUhwMUM1Snh5ZUVyR3pxblQxTk83UU5uSkdPSTZiTGdSdlhrU3JFM3kzbU5HYkh5ZDdFdnJnSlE4ZThPSElQaUhrc1AwZlQ1SnhSSm5oVXgycXBLNUFwWA==
jwt.token-validity-in-seconds-for-remember-me= 108000
jwt.token-validity-in-seconds= 86400
jwt.expiration=604800
jwt.route-authentication-path=/auth
jwt.route-authentication-refresh=/refresh

authorization.key.confins.epo=X7kdEq8bqCc3frS7SV7J1aDCOY6Eor0y0rPm7Ok1CZXt6n0hPq6UCQ==
authorization.confins.secret.key=XohImNooBHFR0OVvjcYpJ3NgPQ1qq73WKhHvch0VQtg=
authorization.confins.auth.key=confins
digisign.bearer-token=Qi2WsGqxMvI12IrLCYrQFAXdxm9xOpajDlahfcaDTgNWnaawnLynnnAp7LkkOl
repo.storage.document=C:\\Users\\Dawnpeace\\Documents\\workupload

authorization.external.auth.key=external-flex
digisign.user-id=adminflex@tandatanganku.com

service.one.signal.push.notif=
one.signal.app.key=
sms.otp.timeout-in-minutes=5
sms.otp.url=
sms.otp.secret=

#service.one.signal.push.notif=https://onesignal.com/api/v1/notifications
#one.signal.app.key=76d6c479-6d11-4306-be1c-a7534f583aea
firebase.sender.id=966367143717

## GOOGLE RECAPTCHA
api.google.recaptcha.v3.url=https://www.google.com/recaptcha/api/siteverify
api.google.recaptcha.v3.key=6Le74C4bAAAAAO1wsd9qhASn6JV2Kw32LmvoGrzt

api.spina.url=https://middleware-qa.taf.co.id/
service.send.email-template=http://10.22.10.11.2:6083/reward/api/email/send-email-template

# Enable JavaMelody auto-configuration (optional, default: true)
javamelody.enabled=true
# Data source names to exclude from monitoring (optional, comma-separated)
javamelody.excluded-datasources=secretSource,topSecretSource
# Enable monitoring of Spring services and controllers (optional, default: true)
javamelody.spring-monitoring-enabled=true
# Initialization parameters for JavaMelody (optional)
# See: https://github.com/javamelody/javamelody/wiki/UserGuide#6-optional-parameters
#    log http requests:
javamelody.init-parameters.log=true
javamelody.init-parameters.authorized-users=admin:admin